// ball-splatting vertex shader



void main()
{	
	//map vertices to eye space so that geom. shader picks them from there	      
	gl_Position = gl_ModelViewMatrix * gl_Vertex; 
	
	//encode rNDC as x-color component
		
	float NDC_factor = 0.5*gl_ProjectionMatrix[3][2]/gl_ProjectionMatrix[2][3];

	float rNDC = NDC_factor*gl_Color.z/gl_Position.z/(gl_Color.z+gl_Position.z);

	gl_FrontColor = vec4(rNDC, gl_Color.yzw);  
}
